
Set bc = CreateObject("Bytescout.BarCode.Barcode")

' set symbology to PDF417
bc.Symbology = 13 ' 13 = PDF417 barcode type

' set barcode value to encode
bc.Value = "12345678901234567890"

' by default the SDK tries to make the barcode size as small as possible
' if we need it then we can set manual number of rows and columns

bc.Options.PDF417UseManualSize = true ' enable manual size mode
bc.Options.PDF417ColumnCount = 7 ' set max number of columns
bc.Options.PDF417RowCount = 50 ' set max number of rows

bc.CutUnusedSpace = False ' you can set it to True to cut unused space

bc.SaveImage "result.png"

Set bc = Nothing

' Open the output file in default app
Set shell = CreateObject("WScript.Shell")
shell.Run "result.png", 1, false
Set shell = Nothing
